lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael McCandless (JIRA)" <j...@apache.org>
Subject [jira] Updated: (LUCENE-2378) Cutover remaining usage of pre-flex APIs
Date Thu, 10 Jun 2010 11:00:19 GMT

     [ https://issues.apache.org/jira/browse/LUCENE-2378?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Michael McCandless updated LUCENE-2378:
---------------------------------------

    Attachment: LUCENE-2378.patch

Attached rather big patch, cutting over all pre-flex API usage to flex, and removing the back
compat layer that emulates pre-flex API on a flex index.



> Cutover remaining usage of pre-flex APIs
> ----------------------------------------
>
>                 Key: LUCENE-2378
>                 URL: https://issues.apache.org/jira/browse/LUCENE-2378
>             Project: Lucene - Java
>          Issue Type: Improvement
>          Components: Index
>            Reporter: Michael McCandless
>            Assignee: Michael McCandless
>             Fix For: 4.0
>
>         Attachments: LUCENE-2378.patch
>
>
> A number of places still use the pre-flex APIs.
> This is actually healthy, since it gives us ongoing testing of the back compat emulation
layer.
> But we should at some point cut them all over to flex.  Latest we can do this is 4.0,
but I'm not sure we should do them all for 3.1... still marking this as 3.1 to "remind us"
:)

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message